ExternalSPSFilePathCollector (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.sps, class: ExternalSPSFilePathCollector

Package org.apache.hadoop.hdfs.server.sps

# Class ExternalSPSFilePathCollector

java.lang.Object
org.apache.hadoop.hdfs.server.sps.ExternalSPSFilePathCollector

All Implemented Interfaces:
  `FileCollector`

@Private public class ExternalSPSFilePathCollector extends Object implements FileCollector
This class is to scan the paths recursively. If file is directory, then it will scan for files recursively. If the file is non directory, then it will just submit the same file to process. This will use file string path representation.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final org.slf4j.Logger`
  `LOG`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExternalSPSFilePathCollector(SPSService service)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `remainingCapacity()`
  Returns queue remaining capacity.
  `void`
  `scanAndCollectFiles(long pathId)`
  This method can be used to scan and collects the files under that directory and adds to the given BlockStorageMovementNeeded.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LOG

    public static final org.slf4j.Logger LOG

- ## Constructor Details

  - ### ExternalSPSFilePathCollector

    public ExternalSPSFilePathCollector(SPSService service)

- ## Method Details

  - ### remainingCapacity

    public int remainingCapacity()
    Returns queue remaining capacity.

  - ### scanAndCollectFiles

    public void scanAndCollectFiles(long pathId) throws IOException
    Description copied from interface: `FileCollector`
    This method can be used to scan and collects the files under that directory and adds to the given BlockStorageMovementNeeded.
    Specified by:
      `scanAndCollectFiles` in interface `FileCollector`
    Parameters:
      `pathId` - - file path id
    Throws:
      `IOException`